%global sum     Multiplayer objective-oriented game with knights questing in a dungeon
%define sname   knights

# Using the website's domain name to differentiate this game from KDE games' Knights
Name:           knightsgame
Version:        25
Release:        %mkrel 17
Summary:        %{sum}
Group:          Games/Arcade
License:        GPLv3+
URL:            http://www.knightsgame.org.uk/
Source0:        http://www.knightsgame.org.uk/files/%{sname}_0%{version}_src.tar.gz
Patch0:		knightsgame-cflags.patch

BuildRequires:  boost-devel
BuildRequires:  icoutils
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(sdl)

%description
Knights is a multiplayer game involving several knights who must run
around a dungeon and complete various quests.

Each game revolves around a quest that all players compete to achieve,
such as retrieving some items to carry them back to their starting
point, escaping from the dungeon, fighting a duel to death against
the enemy knights, or destroying an ancient book using a special wand.

%prep
%setup -q -n %{sname}_0%{version}_src
%autopatch -p1

%build
export CXXFLAGS="%{optflags} -pthread"
%set_build_flags
%make_build BIN_DIR=%{_gamesbindir} \
      DATA_DIR=%{_gamesdatadir}/%{name} \
      KNIGHTS_BINARY_NAME=%{name} \
      SERVER_BINARY_NAME=%{name}-server

%install
%make_build BIN_DIR=%{buildroot}%{_gamesbindir} \
      DATA_DIR=%{buildroot}%{_gamesdatadir}/%{name} \
      KNIGHTS_BINARY_NAME=%{name} \
      SERVER_BINARY_NAME=%{name}-server \
      install_knights \
      install_server

for size in 16 32 48; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/
  icotool -x --width=${size} --output=%{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png ./src/icon.ico
done

# Menu entry
mkdir -p %{buildroot}%{_datadir}/applications/
%{__cat} > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Knights
Comment=%{sum}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

%files
%doc docs/ACKNOWLEDGMENTS.txt docs/COPYRIGHT.txt docs/README.txt docs/style.css docs/manual/
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}/client/*
%{_gamesdatadir}/%{name}/server/*
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Thu Dec 31 2020 wally <wally> 25-17.mga8
+ Revision: 1666772
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 25-16.mga8
+ Revision: 1662014
- rebuild for boost 1.74.0

* Sun May 03 2020 wally <wally> 25-15.mga8
+ Revision: 1578069
- rebuild for boost 1.73.0

* Wed Apr 15 2020 danf <danf> 25-14.mga8
+ Revision: 1567469
- Fix Comment= in .desktop file to stop referring to debug sources

* Wed Feb 19 2020 umeabot <umeabot> 25-13.mga8
+ Revision: 1544759
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 25-12.mga8
+ Revision: 1483386
- rebuild for boost 1.72.0
- replace deprecated %%setup_compile_flags

* Wed Oct 17 2018 wally <wally> 25-11.mga7
+ Revision: 1321822
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 25-10.mga7
+ Revision: 1298604
- Mageia 7 Mass Rebuild

* Mon Dec 25 2017 wally <wally> 25-9.mga7
+ Revision: 1184678
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 25-8.mga7
+ Revision: 1178113
- rebuild for boost 1.65

* Fri Sep 15 2017 cjw <cjw> 25-7.mga7
+ Revision: 1153913
- use mageia CFLAGS/CXXFLAGS to fix debug packages

* Sat Dec 26 2015 daviddavid <daviddavid> 25-6.mga6
+ Revision: 915362
- rebuild for new boost 1.60.0

* Sat Sep 26 2015 daviddavid <daviddavid> 25-5.mga6
+ Revision: 883811
- rebuild for new boost 1.59.0

* Sun Aug 02 2015 daviddavid <daviddavid> 25-4.mga6
+ Revision: 860557
- rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 25-3.mga5
+ Revision: 742537
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 25-2.mga5
+ Revision: 681141
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 akien <akien> 25-1.mga5
+ Revision: 660329
- Version 25

* Sun Jul 06 2014 akien <akien> 24-1.mga5
+ Revision: 644146
- Version 24

* Sat Feb 22 2014 akien <akien> 23-1.mga5
+ Revision: 595676
- imported package knightsgame

